import EventEmitter from "eventemitter3";
import { DocHandle, DocumentId } from "./DocHandle.js";
export declare class DocCollection extends EventEmitter<DocCollectionEvents<unknown>> {
    handles: {
        [documentId: DocumentId]: DocHandle<unknown>;
    };
    constructor();
    cacheHandle(documentId: DocumentId, newDoc: boolean): DocHandle<unknown>;
    create<T>(): DocHandle<T>;
    /**
     * find() locates a document by id. It gets data from the local system, but also by sends a
     * 'document' event which a CollectionSynchronizer would use to advertise interest to other peers
     */
    find<T>(documentId: DocumentId): DocHandle<T>;
}
export interface DocCollectionDocumentEventArg<T> {
    handle: DocHandle<T>;
}
export interface DocCollectionEvents<T> {
    document: (arg: DocCollectionDocumentEventArg<T>) => void;
}
//# sourceMappingURL=DocCollection.d.ts.map