import EventEmitter from "eventemitter3";
import { ChannelId, PeerId } from ".";
import { OutboundMessageDetails } from "./network/NetworkSubsystem.js";
export interface EphemeralDataDetails {
    channelId: ChannelId;
    peerId: PeerId;
    data: unknown;
}
export declare type EphemeralDataMessageEvents = {
    message: (event: OutboundMessageDetails) => void;
    data: (event: EphemeralDataDetails) => void;
};
/**
 * Ephemeral Data
 * -----
 *
 * Not all that glitters is gold.
 *
 * It's useful to have a mechanism to send around short-lived data like cursor
 * positions, presence, or heartbeats. This kind of data is often high-bandwidth
 * and low-utility to persist so... this lets you communicate without that.
 *
 */
export declare class EphemeralData extends EventEmitter<EphemeralDataMessageEvents> {
    broadcast(channelId: ChannelId, message: unknown): void;
    receive(senderId: PeerId, grossChannelId: ChannelId, message: Uint8Array): void;
}
//# sourceMappingURL=EphemeralData.d.ts.map