import { DocCollection } from "./DocCollection.js";
import { EphemeralData } from "./EphemeralData.js";
import { NetworkSubsystem, NetworkAdapter, PeerId } from "./network/NetworkSubsystem.js";
import { StorageSubsystem, StorageAdapter } from "./storage/StorageSubsystem.js";
export interface RepoConfig {
    storage?: StorageAdapter;
    network: NetworkAdapter[];
    peerId?: PeerId;
    sharePolicy?: (peerId: PeerId) => boolean;
}
export declare class Repo extends DocCollection {
    networkSubsystem: NetworkSubsystem;
    storageSubsystem?: StorageSubsystem;
    ephemeralData: EphemeralData;
    constructor(config: RepoConfig);
}
//# sourceMappingURL=Repo.d.ts.map