import * as Automerge from "@automerge/automerge";
import { DocumentId } from "../DocHandle";
export interface StorageAdapter {
    load(docId: string): Promise<Uint8Array | null>;
    save(docId: string, data: Uint8Array): void;
    remove(docId: string): void;
}
export declare class StorageSubsystem {
    storageAdapter: StorageAdapter;
    constructor(storageAdapter: StorageAdapter);
    incrementalChanges: {
        [docId: DocumentId]: number;
    };
    saveIncremental(documentId: DocumentId, doc: Automerge.Doc<unknown>): void;
    saveTotal(documentId: DocumentId, doc: Automerge.Doc<unknown>): void;
    load(storageKey: string): Promise<Uint8Array>;
    shouldCompact(documentId: DocumentId): boolean;
    save(documentId: DocumentId, doc: Automerge.Doc<unknown>): void;
}
//# sourceMappingURL=StorageSubsystem.d.ts.map