import EventEmitter from "eventemitter3";
import { DocSynchronizer } from "./DocSynchronizer.js";
import { DocCollection } from "../DocCollection.js";
import { SyncMessages } from "./Synchronizer.js";
import { DocHandle, DocumentId } from "../DocHandle.js";
import { ChannelId, PeerId } from "../network/NetworkSubsystem.js";
interface SyncPool {
    [docId: DocumentId]: DocSynchronizer;
}
export declare class CollectionSynchronizer extends EventEmitter<SyncMessages> {
    repo: DocCollection;
    peers: {
        [peerId: PeerId]: boolean;
    };
    syncPool: SyncPool;
    constructor(repo: DocCollection);
    onSyncMessage(peerId: PeerId, channelId: ChannelId, message: Uint8Array): Promise<void>;
    fetchDocSynchronizer(documentId: DocumentId): Promise<DocSynchronizer>;
    initDocSynchronizer(handle: DocHandle<unknown>): DocSynchronizer;
    addDocument(documentId: DocumentId): Promise<void>;
    __generousPeers(): PeerId[];
    addPeer(peerId: PeerId, sharePolicy: boolean): void;
    removePeer(peerId: PeerId): void;
}
export {};
//# sourceMappingURL=CollectionSynchronizer.d.ts.map