import EventEmitter from "eventemitter3";
import { Synchronizer, SyncMessages } from "./Synchronizer";
import * as Automerge from "@automerge/automerge";
import { DocHandle, DocumentId } from "../DocHandle";
import { ChannelId, PeerId } from "../network/NetworkSubsystem";
/**
 * DocSynchronizer takes a handle to an Automerge document, and receives & dispatches sync messages
 * to bring it inline with all other peers' versions.
 */
export declare class DocSynchronizer extends EventEmitter<SyncMessages> implements Synchronizer {
    handle: DocHandle<unknown>;
    peers: PeerId[];
    syncStates: {
        [peerId: PeerId]: Automerge.SyncState;
    };
    constructor(handle: DocHandle<unknown>);
    getSyncState(peerId: PeerId): Automerge.SyncState;
    setSyncState(peerId: PeerId, syncState: Automerge.SyncState): void;
    sendSyncMessage(peerId: PeerId, documentId: DocumentId, doc: Automerge.Doc<unknown>): Promise<void>;
    beginSync(peerId: PeerId): Promise<void>;
    endSync(peerId: PeerId): void;
    onSyncMessage(peerId: PeerId, channelId: ChannelId, message: Uint8Array): Promise<void>;
    syncWithPeers(): Promise<void>;
}
//# sourceMappingURL=DocSynchronizer.d.ts.map